# $Revision: 1.2.2.1 $, $Date: 2003/03/13 00:57:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	LockFile
%define	pnam	Simple
Summary:	LockFile::Simple Perl module - simple file locking scheme
Summary(pl):	Modu Perla LockFile::Simple - prosty schemat blokowania plikw
Name:		perl-LockFile-Simple
Version:	0.2.5
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LockFile::Simple Perl module - provides simple locking scheme which
is not based on any file locking system calls such as "flock()" or
"lockf()" but rather relies on basic file system primitives and
properties, such as the atomicity of the "write()" system call. It is
not meant to be exempt from all race conditions, especially over NFS.

%description -l pl
Modu Perla LockFile::Simple - udostpnia prosty system blokowania
plikw nie oparty na adnych funkcjach systemowych, takich jak
"flock()" i "lockf()" sucych do blokowania plikw. Korzysta on z
podstawowych wasnoci systemw plikw, takich jak atomowo funkcji
systemowej "write()". Nie oznacza to, e jest on wolny od sytuacji
"wycigu" (race conditions), zwaszcza w przypadku korzystania z NFS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitelib}/LockFile/*.pm
%{perl_sitelib}/LockFile/Lock
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-LockFile-Simple.spec,v $
Revision 1.2.2.1  2003/03/13 00:57:54  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.2  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.1  2003/02/21 14:08:01  ankry
- new

